Bug 106313 - xpdf bad source code
xpdf bad source code
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xpdf (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-05 05:46 EDT by d.binderman
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-13 06:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-10-05 05:46:33 EDT
Description of problem:

Hello there,

I just tried to compile package xpdf-2.01-8, from Redhat 9.0,
with compiler flag -Wall.

The compiler said

t1env.c:812: warning: operation on `i' may be undefined
t1env.c:849: warning: operation on `i' may be undefined
t1env.c:886: warning: operation on `i' may be undefined
t1env.c:1014: warning: operation on `i' may be undefined

The source code is

        T1_PFAB_ptr[i+1]=T1_PFAB_ptr[i--];

Better source code is

        T1_PFAB_ptr[i+1]=T1_PFAB_ptr[i];
		--i;



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2003-10-13 06:14:48 EDT
it's fixed in 2.03-1, which will be available in rawhide. Many thanks for your
report.

Note You need to log in before you can comment on or make changes to this bug.